<?php
	/**
	 * This program is free software: you can redistribute it and/or modify
	 * it under the terms of the GNU Affero General Public License as published by
	 * the Free Software Foundation, either version 3 of the License, or
	 * (at your option) any later version.
	 *
	 * This program is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 * GNU Affero General Public License for more details.
	 *
	 * You should have received a copy of the GNU Affero General Public License
	 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
	 * 
	 * @package xoen
	 * @subpackage utils
	 *
	 * @author Aldo "xoen" Giambelluca <xoen@xoen.org>
	 * @link http://www.xoen.org
	 * @copyright Copyright (C) 2010, Giambelluca Gesualdo
	 */

	/**
	 * Return a short URL using TinyURL.com
	 * 
	 * @param    string    $longurl    The URL to convert
	 * @return   string    The short URL
	 *
	 * @version 20100328
	 */
	function get_short_url( $longurl ) {
		$ch = curl_init( "http://tinyurl.com/api-create.php?url=$longurl" );
		curl_setopt( $ch, CURLOPT_RETURNTRANSFER, true );
		$shorturl = curl_exec( $ch );
		curl_close( $ch );

		return $shorturl;
	}